{{- if .Values.graphinsights.enabled }}
---
apiVersion: v1
kind: Secret
metadata:
  name: {{ template "cmem.name-graphinsights" . }}
  labels:
    {{- include "cmem.labels-graphinsights" . | nindent 4 }}
type: Opaque
stringData:
  GRAPHINSIGHTS_OAUTH_SERVICE_CLIENT_ID: {{ .Values.global.graphinsightsClientId }}
  GRAPHINSIGHTS_OAUTH_SERVICE_CLIENT_SECRET: {{ .Values.global.graphinsightsClientSecret }}
{{- end }}